Skip to main content
DELETE
/
sdk
/
{environmentId}
/
deviceRegistrations
/
{deviceRegistrationId}
Delete a specific device registration
curl --request DELETE \
  --url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/deviceRegistrations/{deviceRegistrationId} \
  --header 'Authorization: Bearer <token>'
{
  "currentDeviceRevoked": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

deviceRegistrationId
string<uuid>
required

Response

Device registration deleted

currentDeviceRevoked
boolean
required

Whether the current device was among the revoked devices. If true, the client should log out the user.

Last modified on July 2, 2026